# WaitForTask

Extends \ConditionBase

Based on Apache Ant Wait For:

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

author | Michiel Rook mrook@php.net
version | $Id: 139b0653bc863b536f2a2f488238c4e702c00c71 $
package | phing.tasks.system

### Methods

## __construct

    __construct( $taskName = 'component')

inherited

### Arguments

#### $taskName

``

## Convert the unit to a multipler.

    _convertUnit(string $unit) : integer

throws |

### Arguments

#### $unit

`string`

### Response

`integer`

## addAvailable

    addAvailable(\AvailableTask $a) : void

inherited

### Arguments

#### $a

`\AvailableTask`

## countConditions

    countConditions() : integer

inherited

### Response

`integer`

## createAnd

    createAnd() : \AndCondition

inherited

### Response

`\AndCondition`

## createContains

    createContains() : \ContainsCondition

inherited

### Response

`\ContainsCondition`

## createEquals

    createEquals() : \EqualsCondition

inherited

### Response

`\EqualsCondition`

## createFilesMatch

    createFilesMatch()

inherited

## createHasFreeSpace

    createHasFreeSpace()

inherited

## createHttp

    createHttp()

inherited

## createIsFailure

    createIsFailure()

inherited

## createIsFalse

    createIsFalse() : \IsFalseCondition

inherited

### Response

`\IsFalseCondition`

## createIsFileSelected

    createIsFileSelected()

inherited

## createIsPropertyFalse

    createIsPropertyFalse() : \IsPropertyFalseCondition

inherited

### Response

`\IsPropertyFalseCondition`

## createIsPropertyTrue

    createIsPropertyTrue() : \IsPropertyTrueCondition

inherited

### Response

`\IsPropertyTrueCondition`

## createIsSet

    createIsSet() : \IsSetCondition

inherited

### Response

`\IsSetCondition`

## createIsTrue

    createIsTrue() : \IsTrueCondition

inherited

### Response

`\IsTrueCondition`

## createMatches

    createMatches()

inherited

## createNot

    createNot() : \NotCondition

inherited

### Response

`\NotCondition`

## createOr

    createOr() : \OrCondition

inherited

### Response

`\OrCondition`

## createOs

    createOs() : \OsCondition

inherited

### Response

`\OsCondition`

## createPhingVersion

    createPhingVersion()

inherited

## createReferenceExists

    createReferenceExists() : \ReferenceExistsCondition

inherited

### Response

`\ReferenceExistsCondition`

## createSocket

    createSocket()

inherited

## createVersionCompare

    createVersionCompare()

inherited

## createXor

    createXor() : \XorCondition

inherited

### Response

`\XorCondition`

## Creates the object for the child element

    customChildCreator(string $elementName, \Project $project) : \Condition

inherited

throws |

### Arguments

#### $elementName

`string`

the name of the element that has been requested

#### $project

`\Project`

The project the element is in

### Response

`\Condition`

## getConditions

    getConditions() : array<mixed,\Condition>

inherited

### Response

`array<mixed,\Condition>`

## Required for IteratorAggregate

    getIterator()

inherited

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns the name to use in logging messages.

    getTaskName() : string

inherited

### Response

`string`

the name to use in logging messages.

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Check repeatedly for the specified conditions until they become true or the timeout expires.

    main()

throws |

## processSuccess

    processSuccess()

## processTimeout

    processTimeout()

## Set the time between each check

    setCheckEvery(integer $checkEvery)

### Arguments

#### $checkEvery

`integer`

## Set the check every time unit

    setCheckEveryUnit(string $checkEveryUnit) : void

### Arguments

#### $checkEveryUnit

`string`

## Set the maximum length of time to wait.

    setMaxWait(integer $maxWait)

### Arguments

#### $maxWait

`integer`

## Set the max wait time unit

    setMaxWaitUnit(string $maxWaitUnit)

### Arguments

#### $maxWaitUnit

`string`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the name to use in logging messages.

    setTaskName(string $name)

inherited

### Arguments

#### $name

`string`

The name to use in logging messages. Should not be `null`.

## Name of the property to set after a timeout.

    setTimeoutProperty(string $timeoutProperty) : void

### Arguments

#### $timeoutProperty

`string`

### Constants

## ONE_MILLISECOND

    ONE_MILLISECOND

## ONE_SECOND

    ONE_SECOND

## ONE_MINUTE

    ONE_MINUTE

## ONE_HOUR

    ONE_HOUR

## ONE_DAY

    ONE_DAY

## ONE_WEEK

    ONE_WEEK

## DEFAULT_MAX_WAIT_MILLIS

    DEFAULT_MAX_WAIT_MILLIS

## DEFAULT_CHECK_MILLIS

    DEFAULT_CHECK_MILLIS

### Properties

## maxWait

    maxWait :

### Type(s)

``

## maxWaitMultiplier

    maxWaitMultiplier :

### Type(s)

``

## checkEvery

    checkEvery :

### Type(s)

``

## checkEveryMultiplier

    checkEveryMultiplier :

### Type(s)

``

## timeoutProperty

    timeoutProperty :

### Type(s)

``

## conditions

    conditions :

inherited

### Type(s)

``

## taskName

    taskName : string

inherited

var |

### Type(s)

`string`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`